Bug 7331 - Circulation.pl generates errors in the log
Summary: Circulation.pl generates errors in the log
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.6
Hardware: All All
: PATCH-Sent (DO NOT USE) minor (vote)
Assignee: Duncan
QA Contact: Ian Walls
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-12-07 16:06 UTC by Owen Leonard
Modified: 2013-12-05 19:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch to stop spamming of error logs (7.20 KB, patch)
2011-12-07 23:46 UTC, Duncan
Details | Diff | Splinter Review
Patch to fix warning logs being printed unnecessarily (1.05 KB, patch)
2011-12-08 01:19 UTC, Duncan
Details | Diff | Splinter Review
Signed-off patch (1.18 KB, patch)
2011-12-08 13:54 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-12-07 16:06:24 UTC
Both when loading circulation.pl initially and after submitting a patron barcode, the page generates multiple entries in the log:

circulation.pl: Use of uninitialized value $C4::Dates::debug in numeric gt (>) at /kohaclone/C4/Dates.pm line 170.
Comment 1 Owen Leonard 2011-12-07 16:08:01 UTC
The same error is generated by moremember.pl:

moremember.pl: Use of uninitialized value $C4::Dates::debug in numeric gt (>) at /kohaclone/C4/Dates.pm line 170
Comment 2 Duncan 2011-12-07 23:46:06 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2011-12-08 00:56:33 UTC
Was this patch supposed to go with a different bug?
Comment 4 Chris Cormack 2011-12-08 01:02:19 UTC
Ahh it does look like it should be, Duncan is our Summer of Tech student and is just learning his way around. 

We'll have another go :)
Comment 5 Duncan 2011-12-08 01:19:49 UTC Comment hidden (obsolete)
Comment 6 Owen Leonard 2011-12-08 13:54:40 UTC
Created attachment 6665 [details] [review]
Signed-off patch

Quick work, thank you!
Comment 7 Paul Poulain 2011-12-15 16:38:37 UTC
QA comment: tiny patch, silent log

passed QA

patch pushed, please test
Comment 8 Jared Camins-Esakov 2012-05-23 12:17:30 UTC
Included in 3.6 prior to 3.6.5.